#24 Add Python 3 support

v1.0 (example)
closed-fixed
nobody
None
5
2013-10-02
2009-04-17
No

Could you please alter pexpect to support Python 3?

Discussion

  • Lars Nordin

    Lars Nordin - 2011-04-15

    With the impending arrival of Python 3.x, pexpect needs to be ported to Python 3.2+

    Steps to release:
    1) get the tests working again
    2) release new package for Python v2.x (as maintenance release)
    3) port package to Python v3.2+

     
  • Thomas Kluyver

    Thomas Kluyver - 2013-10-02

    Pexpect on Github (https://github.com/pexpect/pexpect ) now supports Python 3. This will be released as Pexpect 3.

     
  • Thomas Kluyver

    Thomas Kluyver - 2013-10-02
    • status: open --> closed-fixed
    • Group: --> v1.0 (example)
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks